Package org.apache.qpid.proton.codec.messaging

# Class FastPathFooterType

java.lang.Object
org.apache.qpid.proton.codec.messaging.FastPathFooterType

All Implemented Interfaces:
  `AMQPType<Footer>`, `FastPathDescribedTypeConstructor<Footer>`, `TypeConstructor<Footer>`

public class FastPathFooterType extends Object implements AMQPType<Footer>, FastPathDescribedTypeConstructor<Footer>

## Constructor Summary

Constructors
Constructor
Description
`FastPathFooterType(EncoderImpl encoder)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`encodesJavaPrimitive()`
`Collection<? extends TypeEncoding<Footer>>`
`getAllEncodings()`
`TypeEncoding<Footer>`
`getCanonicalEncoding()`
`DecoderImpl`
`getDecoder()`
`EncoderImpl`
`getEncoder()`
`TypeEncoding<Footer>`
`getEncoding(Footer val)`
`Class<Footer>`
`getTypeClass()`
`Footer`
`readValue()`
`static void`
`register(Decoder decoder, EncoderImpl encoder)`
`void`
`skipValue()`
`void`
`write(Footer val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FastPathFooterType

public FastPathFooterType(EncoderImpl encoder)

## Method Details

### getEncoder

public EncoderImpl getEncoder()

### getDecoder

public DecoderImpl getDecoder()

### encodesJavaPrimitive

public boolean encodesJavaPrimitive()

Specified by:
  `encodesJavaPrimitive` in interface `TypeConstructor<Footer>`

### getTypeClass

public Class<Footer> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<Footer>`
Specified by:
  `getTypeClass` in interface `TypeConstructor<Footer>`

### getEncoding

public TypeEncoding<Footer> getEncoding(Footer val)

Specified by:
  `getEncoding` in interface `AMQPType<Footer>`

### getCanonicalEncoding

public TypeEncoding<Footer> getCanonicalEncoding()

Specified by:
  `getCanonicalEncoding` in interface `AMQPType<Footer>`

### getAllEncodings

public Collection<? extends TypeEncoding<Footer>> getAllEncodings()

Specified by:
  `getAllEncodings` in interface `AMQPType<Footer>`

### readValue

public Footer readValue()

Specified by:
  `readValue` in interface `TypeConstructor<Footer>`

### skipValue

public void skipValue()

Specified by:
  `skipValue` in interface `TypeConstructor<Footer>`

### write

public void write(Footer val)

Specified by:
  `write` in interface `AMQPType<Footer>`

### register

public static void register(Decoder decoder, EncoderImpl encoder)